> ## Name

> cgSetParameter1dv - sets the value of scalar and vector parameters

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgSetParameter1dv( CGparameter param,
>                             const double * v );

> ## Parameters

> param
>   The parameter that will be set.
> v
>   Array of values to use to set param.

> ## Return Values

> None.

> ## Description

> cgSetParameter1dv sets the value of a given scalar or vector parameter.

> Once cgSetParameter1dv has been used to set a parameter, the values may be retrieved from the parameter using the CG_CURRENT enumerant with cgGetParameterValues.

> If an API-dependant layer of the Cg runtime (e.g. cgGL) is used, these entry points may end up making API (e.g. OpenGL) calls.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if param is a varying input to a fragment program.

> ## History

> cgSetParameter1dv was introduced in Cg 1.2.

> ## See Also

> cgGetParameterValue